Fix non-working e1000e device after resume

Bug #1951861 reported by Kai-Heng Feng
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HWE Next
Fix Released
Undecided
Unassigned
OEM Priority Project
Fix Released
Undecided
Unassigned
linux (Ubuntu)
Fix Released
High
Unassigned
Focal
Won't Fix
Undecided
Unassigned
Impish
Fix Released
High
Unassigned
linux-oem-5.13 (Ubuntu)
Invalid
Undecided
Unassigned
Focal
Fix Released
High
Unassigned
Impish
Invalid
Undecided
Unassigned
linux-oem-5.14 (Ubuntu)
Invalid
Undecided
Unassigned
Focal
Fix Released
High
Unassigned
Impish
Invalid
Undecided
Unassigned

Bug Description

[Impact]
e1000e devices stop working after s2idle resume.

[Fix]
Revert the offending patch series, which is to bring some minor power
saving.

[Test]
Vendor did extensive tests and didn't find any regression, and the power
consumption remains the same.

[Where problems could occur]
Maybe on some system the series can save some energy, so reverting will
cause some power consumption increase.

CVE References

Changed in linux (Ubuntu Focal):
status: New → Won't Fix
Changed in linux (Ubuntu Impish):
status: New → Confirmed
Changed in linux (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Changed in linux (Ubuntu Impish):
importance: Undecided → High
Changed in linux-oem-5.13 (Ubuntu):
status: New → Invalid
Changed in linux-oem-5.13 (Ubuntu Impish):
status: New → Confirmed
Changed in linux-oem-5.13 (Ubuntu Focal):
status: New → Confirmed
Changed in linux-oem-5.13 (Ubuntu Impish):
status: Confirmed → Invalid
Changed in linux-oem-5.14 (Ubuntu):
status: New → Invalid
Changed in linux-oem-5.14 (Ubuntu Impish):
status: New → Invalid
Changed in linux-oem-5.14 (Ubuntu Focal):
status: New → Confirmed
Changed in linux-oem-5.13 (Ubuntu Focal):
importance: Undecided → High
Changed in linux-oem-5.14 (Ubuntu Focal):
importance: Undecided → High
tags: added: oem-priority originate-from-1938506 somerville
Bin Li (binli)
tags: added: originate-from-1948738 sutton
Yao Wei (medicalwei)
tags: added: originate-from-1947661
tags: added: originate-from-1947678
Changed in linux (Ubuntu Impish):
status: Confirmed → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the linux/5.13.0-23.23 kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-impish' to 'verification-done-impish'. If the problem still exists, change the tag 'verification-needed-impish' to 'verification-failed-impish'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-impish
tags: added: verification-done-impish
removed: verification-needed-impish
Timo Aaltonen (tjaalton)
Changed in linux-oem-5.13 (Ubuntu Focal):
status: Confirmed → Fix Committed
Timo Aaltonen (tjaalton)
Changed in linux-oem-5.14 (Ubuntu Focal):
status: Confirmed → Fix Committed
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the linux-oem-5.14/5.14.0-1009.9 kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
tags: added: verification-done-focal
removed: verification-needed-focal
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.13 - 5.13.0-1021.25

---------------
linux-oem-5.13 (5.13.0-1021.25) focal; urgency=medium

  * focal/linux-oem-5.13: 5.13.0-1021.25 -proposed tracker (LP: #1953028)

  * [SRU][I/OEM-5.13/OEM-5.14] Fix USB3.1 hotplug after S3 on AMD renoir
    (LP: #1952817)
    - drm/amd/display: Look at firmware version to determine using dmub on dcn21

  * Fix non-working e1000e device after resume (LP: #1951861)
    - SAUCE: Revert "e1000e: Additional PHY power saving in S0ix"
    - SAUCE: Revert "e1000e: Add polling mechanism to indicate CSME DPG exit"
    - SAUCE: Revert "e1000e: Add handshake with the CSME to support S0ix"

  * [SRU][I/J/OEM-5.13/OEM-5.14] Add MAC passthrough support for more Lenovo
    docks (LP: #1951767)
    - net: usb: r8152: Add MAC passthrough support for more Lenovo Docks

  * Fix missing external headset after resume problem for Cirrus CS8409 sound
    driver (LP: #1952385)
    - SAUCE: ALSA: hda/cs8409: Schedule delayed work for jack detect on resume

 -- Timo Aaltonen <email address hidden> Thu, 02 Dec 2021 19:29:38 +0200

Changed in linux-oem-5.13 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-5.14 - 5.14.0-1010.10

---------------
linux-oem-5.14 (5.14.0-1010.10) focal; urgency=medium

  * focal/linux-oem-5.14: 5.14.0-1010.10 -proposed tracker (LP: #1953346)

  * alsa/sdw: add sdw audio machine driver for several ADL machines
    (LP: #1951563)
    - ASoC: Intel: sof_sdw: Add support for SKU 0AF3 product
    - ASoC: Intel: soc-acpi: add SKU 0AF3 SoundWire configuration
    - ASoC: Intel: sof_sdw: Add support for SKU 0B00 and 0B01 products
    - ASoC: Intel: sof_sdw: Add support for SKU 0B11 product
    - ASoC: Intel: sof_sdw: Add support for SKU 0B13 product
    - ASoC: Intel: soc-acpi: add SKU 0B13 SoundWire configuration
    - ASoC: Intel: sof_sdw: Add support for SKU 0B29 product
    - ASoC: Intel: soc-acpi: add SKU 0B29 SoundWire configuration
    - ASoC: Intel: sof_sdw: Add support for SKU 0B12 product
    - ASoC: intel: sof_sdw: return the original error number
    - ASoC: intel: sof_sdw: rename be_index/link_id to link_index
    - ASoC: intel: sof_sdw: Use a fixed DAI link id for AMP
    - ASoC: intel: sof_sdw: move DMIC link id overwrite to create_sdw_dailink
    - ASoC: intel: sof_sdw: remove SOF_RT715_DAI_ID_FIX quirk
    - ASoC: intel: sof_sdw: remove get_next_be_id
    - ASoC: intel: sof_sdw: add link adr order check
    - soundwire: bus: update Slave status in sdw_clear_slave_status

 -- Chia-Lin Kao (AceLan) <email address hidden> Mon, 06 Dec 2021 22:12:32 +0800

Changed in linux-oem-5.14 (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Mark Pearson (markrhpearson) wrote :

Hi - do you have timelines for when this will be integrated into the generic 20.04? I have some customers asking about it.
Thanks
Mark

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Which kernel version? I think I targeted all effected kernels already, but I could be wrong.

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (39.5 KiB)

This bug was fixed in the package linux - 5.13.0-23.23

---------------
linux (5.13.0-23.23) impish; urgency=medium

  * impish/linux: 5.13.0-23.23 -proposed tracker (LP: #1952263)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync update-dkms-versions helper
    - debian/dkms-versions -- update from kernel-versions (main/2021.11.29)

  * CVE-2021-4002
    - hugetlbfs: flush TLBs correctly after huge_pmd_unshare

  * [SRU][I/OEM-5.13/OEM-5.14] Add MAC passthrough support for more Lenovo docks
    (LP: #1951767)
    - net: usb: r8152: Add MAC passthrough support for more Lenovo Docks

  * Fix non-working e1000e device after resume (LP: #1951861)
    - SAUCE: Revert "e1000e: Additional PHY power saving in S0ix"
    - SAUCE: Revert "e1000e: Add polling mechanism to indicate CSME DPG exit"
    - SAUCE: Revert "e1000e: Add handshake with the CSME to support S0ix"

  * CVE-2021-43267
    - tipc: fix size validations for the MSG_CRYPTO type

  * Impish update: upstream stable patchset 2021-11-22 (LP: #1951880)
    - ext4: check and update i_disksize properly
    - ext4: correct the error path of ext4_write_inline_data_end()
    - ASoC: Intel: sof_sdw: tag SoundWire BEs as non-atomic
    - HID: apple: Fix logical maximum and usage maximum of Magic Keyboard JIS
    - netfilter: ip6_tables: zero-initialize fragment offset
    - HID: wacom: Add new Intuos BT (CTL-4100WL/CTL-6100WL) device IDs
    - ASoC: SOF: loader: release_firmware() on load failure to avoid batching
    - netfilter: nf_nat_masquerade: make async masq_inet6_event handling generic
    - netfilter: nf_nat_masquerade: defer conntrack walk to work queue
    - mac80211: Drop frames from invalid MAC address in ad-hoc mode
    - m68k: Handle arrivals of multiple signals correctly
    - hwmon: (ltc2947) Properly handle errors when looking for the external clock
    - net: prevent user from passing illegal stab size
    - mac80211: check return value of rhashtable_init
    - vboxfs: fix broken legacy mount signature checking
    - net: sun: SUNVNET_COMMON should depend on INET
    - drm/amdgpu: fix gart.bo pin_count leak
    - scsi: ses: Fix unsigned comparison with less than zero
    - scsi: virtio_scsi: Fix spelling mistake "Unsupport" -> "Unsupported"
    - perf/core: fix userpage->time_enabled of inactive events
    - sched: Always inline is_percpu_thread()
    - hwmon: (pmbus/ibm-cffps) max_power_out swap changes
    - ALSA: usb-audio: Unify mixer resume and reset_resume procedure
    - KVM: arm64: nvhe: Fix missing FORCE for hyp-reloc.S build rule
    - pinctrl: qcom: sc7280: Add PM suspend callbacks
    - net: bgmac-platform: handle mac-address deferral
    - scsi: qla2xxx: Fix excessive messages during device logout
    - io_uring: kill fasync
    - upstream stable to v5.10.74, v5.14.13
    - ALSA: usb-audio: Add quirk for VF0770
    - ALSA: pcm: Workaround for a wrong offset in SYNC_PTR compat ioctl
    - ALSA: seq: Fix a potential UAF by wrong private_free call order
    - ALSA: hda/realtek: Enable 4-speaker output for Dell Precision 5560 laptop
    - ALSA: hda - Enable headphone mic on Dell Latitude laptops with ALC3254
    - ALSA: hda/realtek: Complete partial device nam...

Changed in linux (Ubuntu Impish):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.15.0-17.17

---------------
linux (5.15.0-17.17) jammy; urgency=medium

  * jammy/linux: 5.15.0-17.17 -proposed tracker (LP: #1957809)

 -- Andrea Righi <email address hidden> Thu, 13 Jan 2022 17:11:21 +0100

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Timo Aaltonen (tjaalton)
Changed in oem-priority:
status: New → Fix Released
Changed in hwe-next:
status: New → Fix Released
Revision history for this message
Jay Chen (jay-ch) wrote :

adding Intel team in this bug for a common topic

It is also referring to the other bug #1990215 where intel team suggested to take all following patches
https://bugs.launchpad.net/somerville/+bug/1990215/comments/15

related patches:
e1000e: Additional PHY power saving in S0ix
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/net/ethernet/intel/e1000e?id=3ad3e28cb203309fb29022dea41cd65df0583632

e1000e: Add polling mechanism to indicate CSME DPG exit
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/net/ethernet/intel/e1000e?id=ef407b86d3cc7ab7ad37658c1c7a094cb8f3b6b4

e1000e: Add handshake with the CSME to support S0ix
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/net/ethernet/intel/e1000e?id=3e55d231716ea361b1520b801c6778c4c48de102

The solution applied in this bug was to *revert* the second commit
#e1000e: Add polling mechanism to indicate CSME DPG exit

In case of re-applying the second patch, this bug #1951861 would break again.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers